Package org.opensaml.saml.saml2.assertion.messaging

# Class AssertionValidationInput

java.lang.Object
org.opensaml.saml.saml2.assertion.messaging.AssertionValidationInput

public class AssertionValidationInput extends Object
Class which holds data relevant to validating a SAML 2.0 Assertion.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Assertion`
`assertion`
The Assertion being evaluated.
`private AssertionValidationNetworkInformationSupplier`
`networkInformationSupplier`
The HTTP request input.
`private InOutOperationContext`
`operationContext`
The profile request context input.

## Constructor Summary

Constructors
Constructor
Description
`AssertionValidationInput(Assertion samlAssertion, InOutOperationContext context, AssertionValidationNetworkInformationSupplier networkInformation)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Assertion`
`getAssertion()`
Get the `Assertion` being evaluated.
`AssertionValidationNetworkInformationSupplier`
`getNetworkInformationSupplier()`
Get the `HttpServletRequest` input.
`InOutOperationContext`
`getOperationContext()`
Get the `InOutOperationContext` input.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### operationContext

@Nonnull private InOutOperationContext operationContext
The profile request context input.

### networkInformationSupplier

@Nonnull private AssertionValidationNetworkInformationSupplier networkInformationSupplier
The HTTP request input.

### assertion

@Nonnull private Assertion assertion
The Assertion being evaluated.

## Constructor Details

### AssertionValidationInput

public AssertionValidationInput(@Nonnull Assertion samlAssertion, @Nonnull InOutOperationContext context, @Nonnull AssertionValidationNetworkInformationSupplier networkInformation)
Constructor.

Parameters:
  `samlAssertion` - the assertion being evaluated
  `context` - the profile request context being evaluated
  `networkInformation` - the supplier of network information

## Method Details

### getOperationContext

@Nonnull public InOutOperationContext getOperationContext()
Get the `InOutOperationContext` input.

Returns:
  the message context input

### getNetworkInformationSupplier

@Nonnull public AssertionValidationNetworkInformationSupplier getNetworkInformationSupplier()
Get the `HttpServletRequest` input.

Returns:
  the HTTP servlet request input

### getAssertion

@Nonnull public Assertion getAssertion()
Get the `Assertion` being evaluated.

Returns:
  the Assertion being validated